(function($){
	$.support.cors = true
	
    var server = "http://172.19.103.88:9092/wlyy/",
        userAgent = {"id":4800,"uid":"zbqD201703150222","imei":"864394010176834","token":"fcf8310ee6d911c3f25cdecd28b9bcdd","platform":2,"hospital":"3502050100","appVersion":"1.3.6"};
    userAgent = JSON.stringify(userAgent);
	
	function httpGet(url,options) {
		//发送ajax请求
		return new Promise(function(resolve, reject) {
			$.ajax(server + url, 
				$.extend({},{
				type: 'GET',
				dataType: 'JSON',
				beforeSend: function(request) {
                    request.setRequestHeader("userAgent", userAgent);
				},
				error: function(res) {
					reject(res)
				},
				success: function(res) {
					if(res.code && res.code == -200) {
            			toastr && toastr.warning("登录失效，请重新登录！")
            			setTimeout(function() {
            				window.location.replace('login_v2.html')
            			},2000)
            		}
					resolve(res)
				}
			},options));
		})
	}
	
	function httpPost(url,options) {
		//发送ajax请求
		return new Promise(function(resolve, reject) {
			$.ajax(server + url, 
				$.extend({},{
				type: 'POST',
				dataType: 'JSON',
				beforeSend: function(request) {
                    request.setRequestHeader("userAgent", userAgent);
				},
				error: function(res) {
					reject(res)
				},
				success: function(res) {
					resolve(res)
				}
			},options));
		})
	}
	
	
	APIService = {
        httpGet: httpGet,
        httpPost: httpPost,
        getTeamInfo: function(doctor,data){
            return httpGet('/doctor/admin-teams/team/'+doctor+'/teams', data);
        }
	}
	
	window.APIService = APIService;
})(jQuery)
